#if !defined(AFX_EDITMASTERHOLIDAY_H__822AB253_BB59_4FC5_866D_08C5DD92990A__INCLUDED_)
#define AFX_EDITMASTERHOLIDAY_H__822AB253_BB59_4FC5_866D_08C5DD92990A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditMasterHoliday.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CEditMasterHoliday dialog

#include <afxtempl.h>

class CEditMasterHoliday : public CDialog
{
// Construction
public:
	CEditMasterHoliday(CWnd* pParent = NULL);   // standard constructor
	CEditMasterHoliday(IApplication *pApp, BOOL bMaster = TRUE);

// Dialog Data
	//{{AFX_DATA(CEditMasterHoliday)
	enum { IDD = IDD_DIALOG_EDIT_MASTERHOLIDAY };
	CComboBox	m_HGList;
	CComboBox	m_AcctList;
	CComboBox	m_MasterHolList;
	BOOL	m_bEveryYear;
	CString	m_sName;
	CString	m_sHolidayID;
	int m_iHolType;
	BOOL m_bMaster;
	CString	m_sExName;
	long	m_lDay;
	long	m_lMonth;
	long	m_lYear;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditMasterHoliday)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CEditMasterHoliday)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeComboMasterholidaylist();
	afx_msg void OnButtonEdit();
	afx_msg void OnSelchangeAcctList();
	afx_msg void OnSelchangeHGlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	IMasterHolidayPtr	pMasterHol;
	CMap<CString*, CString*, int, int> m_cMap;
	void LoadAccounts();
	void LoadHolidayGroups();
	void GetMasterHolDetails();
	void LoadHolidays();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.


#endif // !defined(AFX_EDITMASTERHOLIDAY_H__822AB253_BB59_4FC5_866D_08C5DD92990A__INCLUDED_)
